Subject: Re: [PATCH] powerpc: Create "rom" (MTD) device prpmc2800

From: David Gibson <[email-masked]>
Date: Wed, 13 Jun 2007 13:16:15 +1000

On Tue, Jun 12, 2007 at 12:53:36PM +0200, Segher Boessenkool wrote:
> >> So I think the best thing to have would be
> >>
> >> 	compatible      "cfi-flash"
> >> 	bank-width      like you said
> >> 	device-width    width of a single flash device
> >> 	reg             complete address range of this thing
> >>
> >> and then the Linux OF CFI flash code / MTD code just keeps
> >> on probing devices from that address range until it has it
> >> filled.
> >>
> >> Sounds good / comments / anything I missed?
> >
> > Looks pretty sensible to me.
> 
> Great!
> 
> > Presumably the compatible property could
> > also have more specific entries for the particular chip type.
> 
> Yes, of course.
> 
> > Of course, Ebony has flash which is JEDEC rather than CFI probed, so I
> > have an interest in a binding for that, too.
> 
> For JEDEC flash, you probably want extra properties
> for manufacturing ID and chip ID.  Also, you need
> to describe the block sizes in some way (on CFI, this
> can be probed; on JEDEC, not).  Anything else?

Hrm.  At the moment it appears to work without supplying this
information for the Ebony flash...  I wonder if there are defaults in
the mtd layer or something.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson